Subject: Re: bug#78582: 30.1; which-key-mode overwrites custom key bindings

From: Alex Murray <[email-masked]>
Date: Tue, 27 May 2025 21:09:54 +0930

Hi Eli,

On Tue, 27 May 2025 at 20:50, Eli Zaretskii <[email-masked]> wrote:
>
>
> Thanks for reaching out.
>
> Can you tell when you last synced with the upstream Git repository,
> and with which branch?  Looking at your latest commits, it seems the
> answer is Feb 24 and emacs-30, respectively, but is that correct?
>

The stable channel of the emacs snap builds from the 30.1 release
tarbal l- https://github.com/alexmurray/emacs-snap/blob/master/snapcraft.yaml#L64

> If you build the upstream version of Emacs without your local changes,
> do you still see the problem with Rick's recipe?
>
> If the upstream build still shows the problem, I'd say take a look at
> your build environment, including libraries and the toolkit you use.
> The command "C-h l" should show the keys read by Emacs, so maybe try
> that in both scenarios to see what Emacs saw as keyboard input.

Your hint about toolkit got me interested - for a bit more info on the
emacs snap, I build emacs both with pgtk
(https://github.com/alexmurray/emacs-snap/blob/master/snapcraft.yaml#L296)
and without it (https://github.com/alexmurray/emacs-snap/blob/master/snapcraft.yaml#L314)
and then bundle both inside the snap and use a script to try and
choose the most appropriate one to use at runtime.

If I force it to use the gtk variant (ie. non-pgtk) then I can no
longer reproduce this issue with the emacs snap. However I am able to
reproduce it with the pgtk variant.

Could it be an issue with pgtk specifically and not the emacs snap perse?

Thanks,
Alex